<?php
// Check if the path variable is set
if (isset($_GET['path'])) {
    // Get the path from the query string
    $path = $_GET['path'];
    
    // Check if the path is a directory
    if (is_dir($path)) {
        // Get a list of files and directories in the path
        $files = scandir($path);
        
        // Remove "." and ".." directories from the list
        $files = array_diff($files, array(".", ".."));
        
        // Create an empty array to hold the file list
        $fileList = array();
        
        // Loop through the files and directories in the path
        foreach ($files as $file) {
            // If the file is a directory, add it to the file list as a folder
            if (is_dir("$path/$file")) {
                array_push($fileList, "<li class=\"folder\" data-path=\"$path/$file\">$file</li>");
            }
            // If the file is a file, add it to the file list as a file
            else {
                array_push($fileList, "<li class=\"file\">$file</li>");
            }
        }
        
        // Print the file list as HTML
        echo implode("", $fileList);
    }
    // If the path is not a directory, return an error message
    else {
        echo "Error: Path is not a directory.";
    }
}
// If the path variable is not set, return an error message
else {
    echo "Error: Path not specified.";
}
?>
