<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Attandance Report</title>
    <style>
        /* Moved CSS styles to a separate file for better organization */
        <?php include "styles.css"; ?>
    </style>
</head>
<body>
    <div class="container">
        <h1>Attendance Report</h1>
        <!-- Use JavaScript to go back to the previous page instead of a form -->
        <button class="back-btn" onclick="window.history.back()">Back</button>
        <ul>
            <?php
                // Get the path from the URL parameter, or use the default directory
                $path = isset($_GET['path']) ? $_GET['path'] : './ATTENDANCE';

                // Sanitize the path to prevent directory traversal attacks
                $path = realpath($path);

                // Make sure the path is a directory
                if (!is_dir($path)) {
                    echo "<li>Invalid directory path</li>";
                    exit;
                }

                // Add a back button if nested inside a folder
                if ($path != '/') {
                    $parent = dirname($path);
                    echo "<li><a href=\"?path=" . urlencode($parent) . "\">..</a> (directory)</li>";
                }

                // Get the list of files and directories in the path
                $dir = scandir($path);
                foreach ($dir as $file) {
                    if ($file != "." && $file != "..") {
                        if (is_dir($path . '/' . $file)) {
                            echo "<li><a href=\"?path=" . urlencode($path . '/' . $file) . "\">" . $file . "</a> (directory)</li>";
                        } else {
    $file_path = $path . '/' . $file;
    echo "<li>" . $file . " (file) <a href=\"download.php?file=" . urlencode($file_path) . "\" class=\"download\">View File</a></li>";
}
                    }
                }
            ?>
        </ul>
    </div>
</body>
</html>
