<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Attendance Report</title>
    <style>
        .container {
            max-width: 600px;
            margin: 0 auto;
            padding: 20px;
            font-family: Arial, sans-serif;
        }

        h1 {
            font-size: 24px;
            margin-bottom: 20px;
        }

        ul {
            list-style: none;
            padding: 0;
            margin: 0;
        }

        li {
            margin-bottom: 10px;
        }

        a {
            text-decoration: none;
            color: #333;
        }

        .download {
            display: inline-block;
            margin-left: 10px;
            font-size: 12px;
            color: #999;
            text-decoration: none;
        }
    </style>
</head>
<body>
    <div class="container">
        <h1>Attendance Report</h1>
        <ul>
            <?php
                // Get the path from the URL parameter, or use the default directory
                $path = isset($_GET['path']) ? $_GET['path'] : './Month wisw attendence of teching staff';

                // Sanitize the path to prevent directory traversal attacks
                $path = realpath($path);

                // Make sure the path is a directory
                if (!is_dir($path)) {
                    echo "<li>Invalid directory path</li>";
                    exit;
                }

                // Get the list of files and directories in the path
                $dir = scandir($path);
                foreach ($dir as $file) {
                    if ($file != "." && $file != "..") {
                        if (is_dir($path . '/' . $file)) {
                            echo "<li><a href=\"?path=" . urlencode($path . '/' . $file) . "\">" . $file . "</a> (directory)</li>";
                        } else {
                            $file_path = $path . '/' . $file;
                            echo "<li>" . $file . " (file) <a href=\"download.php?file=" . urlencode($file_path) . "\" class=\"download\">Download</a></li>";
                        }
                    }
                }
            ?>
        </ul>
    </div>
</body>
</html>
